<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.InsertLocation Enumeration
Cursor Class See Also Send Feedback

Specifies where to place duplicate data elements of the key to which the cursor refers.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public enum InsertLocation

Visual Basic (Declaration)

    Public Enumeration InsertLocation

Visual C++

    public enum class InsertLocation

# Members

| Member name | Description
--- | --- | ---
| AFTER | The new element appears immediately after the current cursor position.
| BEFORE | The new element appears immediately before the current cursor position.
| FIRST | The new element appears as the first of the data items for the given key
| LAST | The new element appears as the last of the data items for the given key

# See Also

BerkeleyDB Namespace